curl --request GET \
--url https://www.ruddr.io/api/workspace/time-entries \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/time-entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/time-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/time-entries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/time-entries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/time-entries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/time-entries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "f8a2c4e1-7b3d-4f96-ae52-d1c8b9f03e74",
"typeId": "project_time",
"statusId": "approved",
"clientStatusId": "not_created",
"date": "2025-01-15",
"minutes": 60,
"timerStartedAt": "2025-01-15T14:30:00.000Z",
"notes": "Worked on homepage wireframes.",
"createdAt": "2025-01-15T20:47:03.284Z",
"modifiedAt": "2025-02-05T20:47:03.284Z",
"startTime": "09:00",
"endTime": "10:00",
"member": {
"id": "a91e4c70-3f28-4d85-b6c9-7e2d8a150f43",
"name": "Jane Smith"
},
"project": {
"id": "c5d7e2a8-9f14-4b63-8e71-a0d3c6b582f9",
"name": "Website Redesign",
"client": {
"id": "82f1a9d3-e4b7-40c6-9a58-d7f2c3e810b5",
"name": "Acme Corp"
}
},
"role": {
"id": "14b8e3f6-d927-4a5c-b190-8cf7e2a063d4",
"name": "Designer"
},
"task": {
"id": "6e9f1a4d-c82b-43e7-a5d0-f731b298c604",
"name": "Design Phase"
},
"timeOffType": null,
"invoice": {
"id": "d29a4b8e-f173-4c60-a5e2-8b9d0c316f74",
"number": "INV-0042",
"line": {
"id": "71e2f8c3-a940-4b15-d6e9-3c7d5a2b01f8",
"number": 1
}
},
"timesheet": {
"id": "8c3f7a92-e14b-4d60-b5a1-2f09d7c63e18",
"submittedOn": "2025-01-19T17:32:10.541Z"
},
"isBillable": true,
"invoiced": true,
"rateCurrency": "USD",
"rate": 150,
"costCurrency": "USD",
"costPerHour": 75
}
],
"hasMore": false
}List time entries
curl --request GET \
--url https://www.ruddr.io/api/workspace/time-entries \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/time-entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/time-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/time-entries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/time-entries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/time-entries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/time-entries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "f8a2c4e1-7b3d-4f96-ae52-d1c8b9f03e74",
"typeId": "project_time",
"statusId": "approved",
"clientStatusId": "not_created",
"date": "2025-01-15",
"minutes": 60,
"timerStartedAt": "2025-01-15T14:30:00.000Z",
"notes": "Worked on homepage wireframes.",
"createdAt": "2025-01-15T20:47:03.284Z",
"modifiedAt": "2025-02-05T20:47:03.284Z",
"startTime": "09:00",
"endTime": "10:00",
"member": {
"id": "a91e4c70-3f28-4d85-b6c9-7e2d8a150f43",
"name": "Jane Smith"
},
"project": {
"id": "c5d7e2a8-9f14-4b63-8e71-a0d3c6b582f9",
"name": "Website Redesign",
"client": {
"id": "82f1a9d3-e4b7-40c6-9a58-d7f2c3e810b5",
"name": "Acme Corp"
}
},
"role": {
"id": "14b8e3f6-d927-4a5c-b190-8cf7e2a063d4",
"name": "Designer"
},
"task": {
"id": "6e9f1a4d-c82b-43e7-a5d0-f731b298c604",
"name": "Design Phase"
},
"timeOffType": null,
"invoice": {
"id": "d29a4b8e-f173-4c60-a5e2-8b9d0c316f74",
"number": "INV-0042",
"line": {
"id": "71e2f8c3-a940-4b15-d6e9-3c7d5a2b01f8",
"number": 1
}
},
"timesheet": {
"id": "8c3f7a92-e14b-4d60-b5a1-2f09d7c63e18",
"submittedOn": "2025-01-19T17:32:10.541Z"
},
"isBillable": true,
"invoiced": true,
"rateCurrency": "USD",
"rate": 150,
"costCurrency": "USD",
"costPerHour": 75
}
],
"hasMore": false
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.
A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.
The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.
A filter on the list based on the time entry's modifiedAt field. Accepts an ISO 8601 date or datetime. This will match timestamps after (>) the value specified.
A filter on the list based on the time entry's modifiedAt field. Accepts an ISO 8601 date or datetime. This will match timestamps on and after (>=) the value specified.
A filter on the list based on the time entry's modifiedAt field. Accepts an ISO 8601 date or datetime. This will match timestamps before (<) the value specified.
A filter on the list based on the time entry's modifiedAt field. Accepts an ISO 8601 date or datetime. This will match timestamps on and before (<=) the value specified.
A member ID (uuid) used to filter time entries for a specific member.
A project ID (uuid) used to filter time entries for a specific project.
A timesheet ID (uuid) used to filter time entries for a specific timesheet.
A type ID used to filter time entries by type.
project_time, time_off A filter on the list based on the time entry's date field in the format YYYY-MM-DD. This will match the exact date (=) specified.
A filter on the list based on the time entry's date field in the format YYYY-MM-DD. This will match dates after (>) the date specified.
A filter on the list based on the time entry's date field in the format YYYY-MM-DD. This will match dates on and after (>=) the date specified.
A filter on the list based on the time entry's date field in the format YYYY-MM-DD. This will match dates before (<) the date specified.
A filter on the list based on the time entry's date field in the format YYYY-MM-DD. This will match dates on and before (<=) the date specified.